ranges::experimental::shared_closure_base Struct Reference
Inheritance diagram for ranges::experimental::shared_closure_base:

## Public Member Functions

template<typename Rng , typename SharedFn >
CPP_TEMPLATE_AUX_0 | f (requires range< Rng > &&(!viewable_range< Rng >) &&constructible_from< detail::decay_t< Rng >, Rng >) fffriend const expr auto operator|(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 shared_closure< SharedFn > | vw

## Friends

template<typename SharedFn , typename Pipeable >
constexpr friend auto | operator| (shared_closure< SharedFn > sh, Pipeable pipe) -> shared_closure< composed< Pipeable, SharedFn >> requires(is_pipeable_v< Pipeable >)

## Member Data Documentation

## vw

CPP_TEMPLATE_AUX_0 shared_closure<SharedFn> ranges::experimental::shared_closure_base::vw

Initial value:
{
return static_cast<SharedFn &&>(vw)(static_cast<Rng &&>(rng))
SharedFn